/ api / name / gb.numbertostring
GB.NumberToString
Syntax

    int GB.NumberToString ( int local , double value , const char *format , char **str , long *len )

Converts a number into a string.

- local is a boolean value indicates if the current locale settings must be used.
- value is the value to convert.
- format is the format description.
- str will receive a string containing the result of the conversion.
- len will receive the length of this string.

The format parameter describes a display format exactly like the Format$ Gambas function.

If format is a null pointer, then the number will be converted by using the general number format.

### See also

Conversion Functions Format$